ON_3dmConstructionPlaneGridDefaults Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmConstructionPlaneGridDefaults ()
| ~ON_3dmConstructionPlaneGridDefaults ()
| ON_3dmConstructionPlaneGridDefaults (const ON_3dmConstructionPlaneGridDefaults &)
ON_3dmConstructionPlaneGridDefaults & | operator= (const ON_3dmConstructionPlaneGridDefaults &)
void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | Dump (ON_TextLog &text_log) const

## Public Attributes

double | m_grid_spacing
double | m_snap_spacing
int | m_grid_line_count
int | m_grid_thick_frequency
ON_BOOL32 | m_bShowGrid
ON_BOOL32 | m_bShowGridAxes
ON_BOOL32 | m_bShowWorldAxes

## Detailed Description

Definition at line 220 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmConstructionPlaneGridDefaults() [1/2]

ON_3dmConstructionPlaneGridDefaults::ON_3dmConstructionPlaneGridDefaults | ( |  | ) |

## ~ON_3dmConstructionPlaneGridDefaults()

ON_3dmConstructionPlaneGridDefaults::~ON_3dmConstructionPlaneGridDefaults | ( |  | ) |

## ON_3dmConstructionPlaneGridDefaults() [2/2]

ON_3dmConstructionPlaneGridDefaults::ON_3dmConstructionPlaneGridDefaults | ( | const ON_3dmConstructionPlaneGridDefaults & |  | ) |

## Member Function Documentation

## Default()

void ON_3dmConstructionPlaneGridDefaults::Default | ( |  | ) |

## Dump()

void ON_3dmConstructionPlaneGridDefaults::Dump | ( | ON_TextLog & | text_log | ) | const

## operator=()

ON_3dmConstructionPlaneGridDefaults& ON_3dmConstructionPlaneGridDefaults::operator= | ( | const ON_3dmConstructionPlaneGridDefaults & |  | ) |

## Read()

bool ON_3dmConstructionPlaneGridDefaults::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_3dmConstructionPlaneGridDefaults::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_bShowGrid

ON_BOOL32 ON_3dmConstructionPlaneGridDefaults::m_bShowGrid

Definition at line 245 of file opennurbs_3dm_settings.h.

## m_bShowGridAxes

ON_BOOL32 ON_3dmConstructionPlaneGridDefaults::m_bShowGridAxes

Definition at line 246 of file opennurbs_3dm_settings.h.

## m_bShowWorldAxes

ON_BOOL32 ON_3dmConstructionPlaneGridDefaults::m_bShowWorldAxes

Definition at line 247 of file opennurbs_3dm_settings.h.

## m_grid_line_count

int ON_3dmConstructionPlaneGridDefaults::m_grid_line_count

Definition at line 239 of file opennurbs_3dm_settings.h.

## m_grid_spacing

double ON_3dmConstructionPlaneGridDefaults::m_grid_spacing

Definition at line 235 of file opennurbs_3dm_settings.h.

## m_grid_thick_frequency

int ON_3dmConstructionPlaneGridDefaults::m_grid_thick_frequency

Definition at line 240 of file opennurbs_3dm_settings.h.

## m_snap_spacing

double ON_3dmConstructionPlaneGridDefaults::m_snap_spacing

Definition at line 236 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h